Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcBtAddress Class Reference

Holds platform specific bluetooth address. More...

Inheritance diagram for XFcBtAddress:

[legend]
Collaboration diagram for XFcBtAddress:

[legend]
List of all members.

## Public Member Functions
virtual XFCIMPORT | ~XFcBtAddress ()
| Virtual destructor.
XFCIMPORT void | setPort (UINT16 aPort)
| Sets the port (channel).
XFCIMPORT UINT16 | getPort () const
| Gets port.
XFCIMPORT void | getAddrStr (CHAR8 *aAddress, INT &aLen)
| Gets 48 bit address in a string with format "de:ad:be:ef:ba:be".
XFCIMPORT void | setAddrStr (const CHAR8 *aAddress, INT aLen)
| Sets address string. Given string can be in "de:ad:be:ef:ba:be" or "0x000000" format.
XFCIMPORT void | setAddr (UINT32 aAddrHi, UINT32 aAddrLo)
| Sets 48 bit address. Syntax is 0x0000, 0x00000000.
virtual XFCIMPORT void | setAddress (void *aAddress, INT32 aLen)
| Inherited from parent class.
virtual XFCIMPORT void * | getAddress () const
| Inherited from parent class.
virtual XFCIMPORT void * | getAddress ()
| Inherited from parent class.
virtual XFCIMPORT INT | isSame (const XFcAddress &aAddress) const
| Test if address is same. Tests only address part of given address port is not tested.
## Static Public Member Functions
XFCIMPORT XFcBtAddress * | create ()
| Creates XFcBtAddress.
XFCIMPORT XFcBtAddress * | create (const XFcAddress &aAddress)
| Creates XFcBtAddress by copying from existing one.
## Protected Member Functions
| XFcBtAddress ()
| Protected constructor.
INT | init ()
| Initializes the bluetooth address.
INT | init (const XFcAddress &aAddress)
| Initializes the bluetooth address from an existing address.
## Protected Attributes
void * | mAddress
| Holds platform specific address type.

## Detailed Description

Holds platform specific bluetooth address.

Its purpose is to hold bt information that is needed to make connection between two bt devices.

## Constructor & Destructor Documentation

XFcBtAddress::XFcBtAddress | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFCIMPORT XFcBtAddress::~XFcBtAddress | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

XFCIMPORT XFcBtAddress* XFcBtAddress::create | ( | const XFcAddress & | aAddress | ) | `[static]`

  | Creates XFcBtAddress by copying from existing one. Parameters:
  aAddress | address to copy from.

XFCIMPORT XFcBtAddress* XFcBtAddress::create | ( |  | ) | `[static]`

| Creates XFcBtAddress.

virtual XFCIMPORT void* XFcBtAddress::getAddress | ( |  | ) | `[virtual]`

| Inherited from parent class. Implements XFcAddress.

virtual XFCIMPORT void* XFcBtAddress::getAddress | ( |  | ) | const`[virtual]`

| Inherited from parent class. Implements XFcAddress.

XFCIMPORT void XFcBtAddress::getAddrStr | ( | CHAR8 * | aAddress,
|  | INT & | aLen
| ) |

  | Gets 48 bit address in a string with format "de:ad:be:ef:ba:be". Parameters:
  aAddress | pointer to a string where the address will be written.
  aLen | maximum length of the address string, will be overwritten with the actual length of the address string.

XFCIMPORT UINT16 XFcBtAddress::getPort | ( |  | ) | const

| Gets port. Returns: port.

INT XFcBtAddress::init | ( | const XFcAddress & | aAddress | ) | `[protected]`

| Initializes the bluetooth address from an existing address.

INT XFcBtAddress::init | ( |  | ) | `[protected]`

| Initializes the bluetooth address.

virtual XFCIMPORT INT XFcBtAddress::isSame | ( | const XFcAddress & | aAddress | ) | const`[virtual]`

  | Test if address is same. Tests only address part of given address port is not tested. Parameters:
  aAddress | is address to test against.
Returns: 1 if it is else 0. Implements XFcAddress.

XFCIMPORT void XFcBtAddress::setAddr | ( | UINT32 | aAddrHi,
|  | UINT32 | aAddrLo
| ) |

  | Sets 48 bit address. Syntax is 0x0000, 0x00000000. Parameters:
  aAddrHi | upper 16-bit part of the 48 bit address.
  aAddrLo | lower 32-bit part of the 48 bit address.

virtual XFCIMPORT void XFcBtAddress::setAddress | ( | void * | aAddress,
|  | INT32 | aLen
| ) | `[virtual]`

| Inherited from parent class. Implements XFcAddress.

XFCIMPORT void XFcBtAddress::setAddrStr | ( | const CHAR8 * | aAddress,
|  | INT | aLen
| ) |

  | Sets address string. Given string can be in "de:ad:be:ef:ba:be" or "0x000000" format. if address is given as "0x" format prefix "0x" is required. Parameters:
  aAddress | address as a string to be parsed from.
  aLen | length of the address string.

XFCIMPORT void XFcBtAddress::setPort | ( | UINT16 | aPort | ) |

  | Sets the port (channel). Parameters:
  aPort | is used channel.

## Member Data Documentation

void* XFcBtAddress::mAddress`[protected]`

| Holds platform specific address type.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch